Subject: Re: Suggestions for documentation

From: "Luiz Fernando N. Capitulino" <[email-masked]>
Date: Wed, 20 Jun 2007 18:06:15 -0300

Em Tue, 19 Jun 2007 09:33:05 +0200
Claudio Scordino <[email-masked]> escreveu:

| Hi,
| 
|     I just want to suggest to put some missing information in the git manpages.
| 
| 1) As my previous question shown, how to clone from a specified port is not 
| currently documented. You should just add a sentence saying that the command is
| 
| git clone git://server:port/path/
| 
| 2) Maybe it is better to highlight that after a push on a remote repository, the 
| user has to do a checkout on that repository (people from the CVS and SVN worlds 
| get easily confused, otherwise).
| 
| Moreover (and I did not fully understood why) if I just use "git checkout" 
| without the -f option, I cannot see the changes that have been pushed from the 
| cloned repository.

 git-rebase documentation needs some change too. We should add some high level
description in one paragraph at the top of the file.

 I answer the very same question ('why should I want to use git-rebase?')
three times per week.

 I'll submit a patch shortly.

-- 
Luiz Fernando N. Capitulino